RobotSpecification (Robocode 1.2.4-Beta API)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## robocode.control
Class RobotSpecification

    java.lang.Object
      robocode.control.RobotSpecification

    public class RobotSpecification

extends java.lang.Object

Defines a robot. This class is returned from `RobocodeEngine.getLocalRepository()`

Author:
  Mathew A. Nelson (original), Flemming N. Larsen (contributor)

Method Summary
`java.lang.String` | `getAuthorName()` Gets the name of this robot's author
`java.lang.String` | `getClassName()` Gets the className of this robot
`java.lang.String` | `getDescription()` Gets the description of this robot
`java.io.File` | `getJarFile()` Gets the jar file containing this robot.
`java.lang.String` | `getRobocodeVersion()` Gets the version of Robocode this robot was designed for
`java.lang.String` | `getVersion()` Gets the version of this robot.
`java.lang.String` | `getWebpage()` Gets this robot's webpage

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getClassName

    public java.lang.String getClassName()

  Gets the className of this robot

  Returns:
    the className of this robot

### getVersion

    public java.lang.String getVersion()

  Gets the version of this robot.

  Returns:
    the version of this robot.

### getJarFile

    public java.io.File getJarFile()

  Gets the jar file containing this robot. This method will return null if the robot does not come from a jar

  Returns:
    the jar file containing this robot

### getDescription

    public java.lang.String getDescription()

  Gets the description of this robot

  Returns:
    the description of this robot

### getRobocodeVersion

    public java.lang.String getRobocodeVersion()

  Gets the version of Robocode this robot was designed for

  Returns:
    the version of Robocode this robot was designed for

### getWebpage

    public java.lang.String getWebpage()

  Gets this robot's webpage

  Returns:
    this robot's webpage

### getAuthorName

    public java.lang.String getAuthorName()

  Gets the name of this robot's author

  Returns:
    the name of this robot's author

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD